MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions
SocketAddress Class Reference

An OO wrapper for struct sockaddr. More...

`#include <SocketAddress.hxx>`

## Public Types
typedef socklen_t | size_type

## Public Member Functions
| SocketAddress ()=default
constexpr | SocketAddress (std::nullptr_t)
constexpr | SocketAddress (const struct sockaddr *_address, size_type _size)
constexpr bool | IsNull () const
const struct sockaddr * | GetAddress () const
constexpr size_type | GetSize () const
constexpr int | GetFamily () const
bool | IsDefined () const
| Does the object have a well-defined address? Check !IsNull() before calling this method. More...
gcc_pure bool | operator== (const SocketAddress other) const
bool | operator!= (const SocketAddress other) const

## Static Public Member Functions
static constexpr SocketAddress | Null ()

## Detailed Description

An OO wrapper for struct sockaddr.

Definition at line 46 of file SocketAddress.hxx.

## Member Typedef Documentation

typedef socklen_t SocketAddress::size_type

Definition at line 51 of file SocketAddress.hxx.

## Constructor & Destructor Documentation

SocketAddress::SocketAddress | ( |  | ) |
| default

constexpr SocketAddress::SocketAddress | ( | std::nullptr_t |  | ) |
| inline

Definition at line 61 of file SocketAddress.hxx.

constexpr SocketAddress::SocketAddress | ( | const struct sockaddr * | _address,
|  | size_type | _size
| ) |  |
| inline

Definition at line 63 of file SocketAddress.hxx.

## Member Function Documentation

const struct sockaddr* SocketAddress::GetAddress | ( |  | ) | const
| inline

Definition at line 75 of file SocketAddress.hxx.

constexpr int SocketAddress::GetFamily | ( |  | ) | const
| inline

Definition at line 83 of file SocketAddress.hxx.

constexpr size_type SocketAddress::GetSize | ( |  | ) | const
| inline

Definition at line 79 of file SocketAddress.hxx.

bool SocketAddress::IsDefined | ( |  | ) | const
| inline

Does the object have a well-defined address? Check !IsNull() before calling this method.

Definition at line 91 of file SocketAddress.hxx.

constexpr bool SocketAddress::IsNull | ( |  | ) | const
| inline

Definition at line 71 of file SocketAddress.hxx.

static constexpr SocketAddress SocketAddress::Null | ( |  | ) |
| inline static

Definition at line 67 of file SocketAddress.hxx.

bool SocketAddress::operator!= | ( | const SocketAddress | other | ) | const
| inline

Definition at line 98 of file SocketAddress.hxx.

gcc_pure bool SocketAddress::operator== | ( | const SocketAddress | other | ) | const

The documentation for this class was generated from the following file:

- net/SocketAddress.hxx